---
Fuzzer filename: '/src/krb5/src/tests/fuzzing/fuzz_des.c'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    k5calloc
      functionSourceFile: '/src/krb5/src/tests/fuzzing/../../include/k5-int.h'
      linkageType:     InternalLinkage
      functionLinenumber: 2282
      functionLinenumberEnd: 2288
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - size_t
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         9
      ICount:          55
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - calloc
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../../include/k5-int.h:2286,11'
          Dst:             calloc
    - functionName:    calloc
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - size_t
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    k5alloc
      functionSourceFile: '/src/krb5/src/tests/fuzzing/../../include/k5-int.h'
      linkageType:     InternalLinkage
      functionLinenumber: 2294
      functionLinenumberEnd: 2295
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          18
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - k5calloc
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../../include/k5-int.h:2295,12'
          Dst:             k5calloc
    - functionName:    __bswap_32
      functionSourceFile: '/usr/include/x86_64-linux-gnu/bits/byteswap.h'
      linkageType:     InternalLinkage
      functionLinenumber: 50
      functionLinenumberEnd: 54
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          21
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    store_32_be
      functionSourceFile: '/src/krb5/src/tests/fuzzing/../../include/k5-platform.h'
      linkageType:     InternalLinkage
      functionLinenumber: 550
      functionLinenumberEnd: 562
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          23
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - __bswap_32
      functionUses:    4
      BranchProfiles:  []
      Callsites:
        - Src:             '../../include/k5-platform.h:555,5'
          Dst:             __bswap_32
    - functionName:    load_32_be
      functionSourceFile: '/src/krb5/src/tests/fuzzing/../../include/k5-platform.h'
      linkageType:     InternalLinkage
      functionLinenumber: 596
      functionLinenumberEnd: 601
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          20
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - __bswap_32
      functionUses:    8
      BranchProfiles:  []
      Callsites:
        - Src:             '../../include/k5-platform.h:601,12'
          Dst:             __bswap_32
    - functionName:    fuzz_cksum
      functionSourceFile: '/src/krb5/src/tests/fuzzing/fuzz_des.c'
      linkageType:     InternalLinkage
      functionLinenumber: 74
      functionLinenumberEnd: 78
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          20
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - mit_des_cbc_cksum
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz_des.c:77,5'
          Dst:             mit_des_cbc_cksum
    - functionName:    k5memdup
      functionSourceFile: '/src/krb5/src/tests/fuzzing/../../include/k5-int.h'
      linkageType:     InternalLinkage
      functionLinenumber: 2301
      functionLinenumberEnd: 2306
      functionDepth:   0
      returnType:      'N/A'
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         8
      ICount:          46
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached:
        - k5alloc
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '../../include/k5-int.h:2302,17'
          Dst:             k5alloc
    - functionName:    fuzz_decrypt
      functionSourceFile: '/src/krb5/src/tests/fuzzing/fuzz_des.c'
      linkageType:     InternalLinkage
      functionLinenumber: 64
      functionLinenumberEnd: 70
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          20
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - mit_des_cbc_encrypt
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz_des.c:67,5'
          Dst:             mit_des_cbc_encrypt
    - functionName:    mit_des_cbc_encrypt
      functionSourceFile: '/src/krb5/src/tests/fuzzing/./../../lib/crypto/builtin/des/f_cbc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 247
      functionLinenumberEnd: 255
      functionDepth:   0
      returnType:      int
      argCount:        6
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         6
      ICount:          47
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - des_cbc_decrypt
        - des_cbc_encrypt
      functionUses:    3
      BranchProfiles:  []
      Callsites:
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:252,9'
          Dst:             des_cbc_encrypt
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:254,9'
          Dst:             des_cbc_decrypt
    - functionName:    des_cbc_encrypt
      functionSourceFile: '/src/krb5/src/tests/fuzzing/./../../lib/crypto/builtin/des/f_cbc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 67
      functionLinenumberEnd: 143
      functionDepth:   0
      returnType:      void
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         38
      ICount:          559
      EdgeCount:       40
      CyclomaticComplexity: 4
      functionsReached:
        - load_32_be
        - store_32_be
      functionUses:    1
      BranchProfiles:
        - Branch String:   './../../lib/crypto/builtin/des/f_cbc.c:112,13'
          Branch Sides:    []
      Callsites:
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:83,5'
          Dst:             load_32_be
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:84,5'
          Dst:             load_32_be
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:100,13'
          Dst:             load_32_be
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:102,13'
          Dst:             load_32_be
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:140,9'
          Dst:             store_32_be
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:141,9'
          Dst:             store_32_be
    - functionName:    des_cbc_decrypt
      functionSourceFile: '/src/krb5/src/tests/fuzzing/./../../lib/crypto/builtin/des/f_cbc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 149
      functionLinenumberEnd: 241
      functionDepth:   0
      returnType:      void
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         41
      ICount:          565
      EdgeCount:       43
      CyclomaticComplexity: 4
      functionsReached:
        - load_32_be
        - store_32_be
      functionUses:    1
      BranchProfiles:
        - Branch String:   './../../lib/crypto/builtin/des/f_cbc.c:219,13'
          Branch Sides:    []
      Callsites:
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:175,5'
          Dst:             load_32_be
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:176,5'
          Dst:             load_32_be
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:188,9'
          Dst:             load_32_be
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:189,9'
          Dst:             load_32_be
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:206,13'
          Dst:             store_32_be
        - Src:             './../../lib/crypto/builtin/des/f_cbc.c:207,13'
          Dst:             store_32_be
    - functionName:    fuzz_des
      functionSourceFile: '/src/krb5/src/tests/fuzzing/fuzz_des.c'
      linkageType:     InternalLinkage
      functionLinenumber: 47
      functionLinenumberEnd: 60
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         5
      ICount:          39
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached:
        - abort
        - memcmp
        - mit_des_cbc_encrypt
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz_des.c:50,5'
          Dst:             mit_des_cbc_encrypt
        - Src:             'fuzz_des.c:54,5'
          Dst:             mit_des_cbc_encrypt
        - Src:             'fuzz_des.c:58,9'
          Dst:             memcmp
        - Src:             'fuzz_des.c:59,9'
          Dst:             abort
    - functionName:    memcmp
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    abort
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/krb5/src/tests/fuzzing/fuzz_des.c'
      linkageType:     externalLinkage
      functionLinenumber: 82
      functionLinenumberEnd: 109
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         13
      ICount:          94
      EdgeCount:       17
      CyclomaticComplexity: 6
      functionsReached:
        - fuzz_cksum
        - fuzz_decrypt
        - fuzz_des
        - k5memdup
        - mit_des_key_sched
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz_des.c:91,11'
          Dst:             mit_des_key_sched
        - Src:             'fuzz_des.c:96,5'
          Dst:             fuzz_des
        - Src:             'fuzz_des.c:99,5'
          Dst:             fuzz_decrypt
        - Src:             'fuzz_des.c:101,15'
          Dst:             k5memdup
        - Src:             'fuzz_des.c:105,5'
          Dst:             fuzz_cksum
    - functionName:    __bswap_32
      functionSourceFile: '/usr/include/x86_64-linux-gnu/bits/byteswap.h'
      linkageType:     InternalLinkage
      functionLinenumber: 50
      functionLinenumberEnd: 54
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          21
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    store_32_be
      functionSourceFile: '/src/krb5/src/lib/crypto/builtin/des/../../../../include/k5-platform.h'
      linkageType:     InternalLinkage
      functionLinenumber: 550
      functionLinenumberEnd: 562
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          23
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - __bswap_32
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             '../../../../include/k5-platform.h:555,5'
          Dst:             __bswap_32
    - functionName:    load_32_be
      functionSourceFile: '/src/krb5/src/lib/crypto/builtin/des/../../../../include/k5-platform.h'
      linkageType:     InternalLinkage
      functionLinenumber: 596
      functionLinenumberEnd: 601
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          20
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - __bswap_32
      functionUses:    4
      BranchProfiles:  []
      Callsites:
        - Src:             '../../../../include/k5-platform.h:601,12'
          Dst:             __bswap_32
    - functionName:    mit_des_cbc_cksum
      functionSourceFile: '/src/krb5/src/lib/crypto/builtin/des/f_cksum.c'
      linkageType:     InternalLinkage
      functionLinenumber: 57
      functionLinenumberEnd: 138
      functionDepth:   0
      returnType:      size_t
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         38
      ICount:          564
      EdgeCount:       40
      CyclomaticComplexity: 4
      functionsReached:
        - load_32_be
        - store_32_be
      functionUses:    1
      BranchProfiles:
        - Branch String:   'f_cksum.c:98,13'
          Branch Sides:    []
      Callsites:
        - Src:             'f_cksum.c:69,5'
          Dst:             load_32_be
        - Src:             'f_cksum.c:70,5'
          Dst:             load_32_be
        - Src:             'f_cksum.c:86,13'
          Dst:             load_32_be
        - Src:             'f_cksum.c:88,13'
          Dst:             load_32_be
        - Src:             'f_cksum.c:130,5'
          Dst:             store_32_be
        - Src:             'f_cksum.c:131,5'
          Dst:             store_32_be
    - functionName:    mit_des_key_sched
      functionSourceFile: '/src/krb5/src/lib/crypto/builtin/des/key_sched.c'
      linkageType:     InternalLinkage
      functionLinenumber: 53
      functionLinenumberEnd: 64
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         8
      ICount:          45
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached:
        - mit_des_check_key_parity
        - mit_des_is_weak_key
        - mit_des_make_key_sched
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'key_sched.c:54,5'
          Dst:             mit_des_make_key_sched
        - Src:             'key_sched.c:56,10'
          Dst:             mit_des_check_key_parity
        - Src:             'key_sched.c:59,9'
          Dst:             mit_des_is_weak_key
    - functionName:    mit_des_is_weak_key
      functionSourceFile: '/src/krb5/src/lib/crypto/builtin/des/weak_key.c'
      linkageType:     InternalLinkage
      functionLinenumber: 78
      functionLinenumberEnd: 88
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         10
      ICount:          51
      EdgeCount:       12
      CyclomaticComplexity: 4
      functionsReached:
        - memcmp
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'weak_key.c:83,14'
          Dst:             memcmp
    - functionName:    mit_des_check_key_parity
      functionSourceFile: '/src/krb5/src/lib/crypto/builtin/des/f_parity.c'
      linkageType:     InternalLinkage
      functionLinenumber: 50
      functionLinenumberEnd: 62
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         8
      ICount:          128
      EdgeCount:       9
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    mit_des_fixup_key_parity
      functionSourceFile: '/src/krb5/src/lib/crypto/builtin/des/f_parity.c'
      linkageType:     InternalLinkage
      functionLinenumber: 28
      functionLinenumberEnd: 36
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         5
      ICount:          120
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    __bswap_32
      functionSourceFile: '/usr/include/x86_64-linux-gnu/bits/byteswap.h'
      linkageType:     InternalLinkage
      functionLinenumber: 50
      functionLinenumberEnd: 54
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - int
      constantsTouched: []
      argNames:
        - ''
      BBCount:         1
      ICount:          21
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    load_32_be
      functionSourceFile: '/src/krb5/src/lib/crypto/builtin/des/../../../../include/k5-platform.h'
      linkageType:     InternalLinkage
      functionLinenumber: 596
      functionLinenumberEnd: 601
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          20
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - __bswap_32
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             '../../../../include/k5-platform.h:601,12'
          Dst:             __bswap_32
    - functionName:    mit_des_make_key_sched
      functionSourceFile: '/src/krb5/src/lib/crypto/builtin/des/f_sched.c'
      linkageType:     InternalLinkage
      functionLinenumber: 245
      functionLinenumberEnd: 360
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         10
      ICount:          322
      EdgeCount:       12
      CyclomaticComplexity: 4
      functionsReached:
        - load_32_be
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'f_sched.c:266,15'
          Dst:             load_32_be
        - Src:             'f_sched.c:277,15'
          Dst:             load_32_be
...
